/*--
===============================================
vidgear library source-code is deployed under the Apache 2.0 License:
Copyright (c) 2019 Abhishek Thakur(@abhiTronix) <abhi.una12@gmail.com>
Licensed under the Apache License, Version 2.0 (the "License");
you may not use this file except in compliance with the License.
You may obtain a copy of the License at
http://www.apache.org/licenses/LICENSE-2.0
Unless required by applicable law or agreed to in writing, software
distributed under the License is distributed on an "AS IS" BASIS,
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
See the License for the specific language governing permissions and
limitations under the License.
===============================================
--*/

/* Handles Responive image tags (from bootstrap) */
.img-fluid {
    max-width: 100%;
    height: auto;
}

img {
    vertical-align: middle;
    border-style: none;
}

.mx-auto {
    margin-right: auto !important;
}

.mx-auto {
    margin-left: auto !important;
}

.d-block {
    display: block !important;
}

.rounded {
    border-radius: 0.25rem !important;
}

.center {
    margin-left: auto;
    margin-right: auto;
}

/* ends */

/*
    Main
*/
.bodycontainer {
    -ms-overflow-style: none;
    /* Internet Explorer 10+ */
    scrollbar-width: none;
    /* Firefox */
}

.bodycontainer::-webkit-scrollbar {
    display: none;
    /* Safari and Chrome */
}

h1 {
    text-align: center;
    color: #fff;
    font-weight: 400;
    margin-bottom: 0.5rem;
    text-transform: Uppercase;
    line-height: 1.2;
    letter-spacing: 2px;
}

body {
    font-family: 'Open Sans', sans-serif;
    background: #011B56;
    background-attachment: scroll;
    background-size: auto;
    background-attachment: fixed;
    -webkit-background-size: cover;
    -moz-background-size: cover;
    background-size: cover;
}

.copy-enhance p {
    font-size: 0.9em;
    color: #fff;
    line-height: 1.8em;
    letter-spacing: 1px;
}

p {
    text-align: center;
    color: #fff;
    font-weight: 300;
}

a {
    color: #fff;
    font-weight: 500;
}

a:link {
    text-decoration: none;
}

a:hover {
    color: yellow;
}

.copy-enhance p a {
    color: #fff;
    -webkit-transition: 0.5s all;
    -moz-transition: 0.5s all;
    -o-transition: 0.5s all;
    -ms-transition: 0.5s all;
    transition: 0.5s all;
}

/*
    Handle mobile screens
*/
/* If the screen size is 601px wide or more, set the font-size of <div> to 80px */
@media screen and (min-width: 601px) {
    h1 {
        font-size: 3.5rem;
    }
}

/* If the screen size is 600px wide or less, set the font-size of <div> to 30px */
@media screen and (max-width: 600px) {
    h1 {
        font-size: 2.0rem;
    }
}

/*
    Glow text
*/
.glow {
    color: #fff;
    text-align: center;
    -webkit-animation: glow 1s ease-in-out infinite alternate;
    -moz-animation: glow 1s ease-in-out infinite alternate;
    animation: glow 1s ease-in-out infinite alternate;
}

@-webkit-keyframes glow {
    from {
        text-shadow: 0 0 5px #fff, 0 0 10px #fff, 0 0 20px #e60073, 0 0 30px #e60073, 0 0 40px #e60073, 0 0 50px #e60073, 0 0 60px #e60073;
    }

    to {
        text-shadow: 0 0 10px #fff, 0 0 20px #ff4da6, 0 0 30px #ff4da6, 0 0 40px #ff4da6, 0 0 50px #ff4da6, 0 0 60px #ff4da6, 0 0 70px #ff4da6;
    }
}

/*
    Social buttons
*/
#lab_social_icon_footer {
    text-align: center;
    display: block;
    font-size: 12px;
    transform: translateZ(0);
}

#lab_social_icon_footer a {
    color: #f8f8ff;
}

#lab_social_icon_footer .social:hover {
    -webkit-transform: scale(1.1);
    -moz-transform: scale(1.1);
    -o-transform: scale(1.1);
}

#lab_social_icon_footer .social {
    -webkit-transform: scale(0.8);
    /* Browser Variations: */
    -moz-transform: scale(0.8);
    -o-transform: scale(0.8);
    -webkit-transition-duration: 0.5s;
    -moz-transition-duration: 0.5s;
    -o-transition-duration: 0.5s;
}

/*
    Multicoloured Hover Variations
*/
#lab_social_icon_footer #social-hp:hover {
    color: #79b8ff;
}

#lab_social_icon_footer #social-github:hover {
    color: #d1d5da;
}

#lab_social_icon_footer #social-gitter:hover {
    color: #ffff00;
}

.btn {
    margin: 5px 10px;
    background-color: #ffff00;
}
